2015-05-10  Sergei Golovan  <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Fixed plugin unloading for the case when
	  there was no whiteboards open during the current session.

	* whiteboard/svgrender.tcl: Removed forgotten TODO leftover.

	* custom-urls/custom-urls.tcl: Updated the tclbug and
	  tkbug examples, fixed processing non-digital variable URL parts.

	* jidlink/plugins/filetransfer.tcl, jidlink/plugins/ibb.tcl: Fixed
	  namespace issues.

	* debug/debug.tcl: Fixed posting menu for debug categories with :: in
	  them.

	* georoster/georoster.tcl, poker/poker.tcl: Fixed crashes with newer
	  Tcl/Tk in case when canvas tag doesn't exist.

2015-03-28  Sergei Golovan  <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Fixed image adding for private chats.
	  Added support for skewing transformations.

	* whiteboard/msgs/ru.msg: Updated Russian translations.

2015-03-27  Sergei Golovan  <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Fixed moving and transforming whiteboard
	  items in private chats.

2015-03-25  Sergei Golovan  <sgolovan@nes.ru>

	* otr/tclotr/otr.tcl: Returned [eval] instead of [uplevel #0] for
	  calling back since [eval] allows to look up the call stack anf find
	  something useful there (see [otr::send] procedure).
	  Switch the OTR state to plaintext after an OTR error message is
	  received. Otherwise, if the other side disables OTR in the middle of
	  an encrypted conversation we cannot tell her anything at all - all
	  messages will be encrypted, and she'll never read them.

	* ctcomp/msgs/ru.msg, spy/msgs/ru.msg: Updated Russian translations.

	* otr/tclotr/license.terms: Fixed copyright year.

2015-03-24  Sergei Golovan  <sgolovan@nes.ru>

	* Makefile: Add 'up' target which updates Tkabber plugins from their
	  Fossil repository.

2014-12-13  Sergei Golovan <sgolovan@nes.ru>

	* battleship/battleship.tcl: Fixed error with creating windows with
	  the same names. Fixed errors when flipping and/or dragging ships
	  with mouse pointer exactly between the edges of two adjacent cells.

2014-11-12  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/otr.tcl: Evaluate external callback procedures at the top
	  stack level.

2014-11-02  Sergei Golovan <sgolovan@nes.ru>

	* otr/otr.tcl, otr/auth.tcl: Got rid of avoidable [eval] calls,
	  deduplicated setting properties for chat and message OTR buttons.

2014-07-16  Sergei Golovan <sgolovan@nes.ru>

	* otr/otr.tcl: Added scrollbar for the OTR userinfo page. It helps
	  when there are many user's resources using OTR.

2014-05-06  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/auth.tcl: Fixed recreating the reveal signature message.

2014-04-28  Sergei Golovan <sgolovan@nes.ru>

	* otr/msgs/ru.msg: Fixed typo.

2014-02-25  Sergei Golovan <sgolovan@nes.ru>

	* otr/otr.tcl: Fixed reporting SMP progress when the SMP dialog window
	  is already destroyed.

2014-02-19  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/smp.tcl: Added a debug print procedure instead of plain
	  puts calls.

	* debug/debug.tcl: Use ::otr::smp::Debug for printing OTR
	  authentication debug info.

2014-02-15  Sergei Golovan <sgolovan@nes.ru>

	* otr/README: Fixed the requirements list.

2014-02-14  Sergei Golovan <sgolovan@nes.ru>

	* *: 1.1 is released.

2014-02-07  Sergei Golovan <sgolovan@nes.ru>

	* battleship/*, Makefile, README: Added a new battleship game plugin.

2014-02-02  Sergei Golovan <sgolovan@nes.ru>

	* otr/key.tcl, otr/tclotr/key.tcl: Moved key generation procedure to
	  the otr::key package.

	* otr/otr.tcl, otr/auth.tcl, otr/key.otr: Copy keys fingerprints to
	  clipboard in authentication dialog, in manage key dialog, in
	  edit authentication dialog.

	* otr/otr.tcl: Fixed bugs in switching OTR icons after authentication.

	* otr/msgs/ru.msg: Updated Russian translation.

2014-01-31  Sergei Golovan <sgolovan@nes.ru>

	* otr/otr.tcl: Fixed typo in creating OTR button for normal message
	  windows.

	* README: Added short description for floatingcontact and otr plugins.

	* otr/otr.tcl: Toggle the OTR message state on clicking OTR button in
	  a chat tab.

2014-01-30  Sergei Golovan <sgolovan@nes.ru>

	* otr/key.tcl: Fixed typo in error message.

	* otr/msgs/ru.msg: Updated Russian translation.

	* otr/otr.tcl: Disable OTR contact menu if the contact is myself.
	  Don't add fake script to the list of scripts executed on message
	  state changes.

2014-01-29  Sergei Golovan <sgolovan@nes.ru>

	* Makefile: Added otr subdirectory to the install list.

	* otr/otr.tcl, otr/auth.tcl: Moved resetting auth icons to the otr.tcl.

2014-01-28  Sergei Golovan <sgolovan@nes.ru>

	* otr/key.tcl, otr/otr.tcl: Drop existing OTR cnversations only if the
	  key is really is changed or deleted. Show an info message when this
	  happens.

	* otr/auth.tcl: Change OTR icons on all existing windows acorrding to
	  the authentication changes.

	* otr/otr.tcl: Added fingerprint and SSID to the roster and OTR button
	  help text. Do cleanup after the authentication dialog is closed.

	* otr/auth.tcl: Fixed changing icons, renamed cancel button to close
	  for the case when there's nothing to cancel.

	* otr/otr.tcl: Unset a few global variables when they aren't in use.

	* otr/otr.tcl: Don't add not-private icon to incoming messages when
	  the message state is plaintext.

2014-01-27  Sergei Golovan <sgolovan@nes.ru>

	* otr/otr.tcl: Fail to load OTR plugin if Tkabber doesn't support the
	  necessary features.

	* otr/otr.tcl: Added heartbeat-interval option.

	* otr/key.tcl: Fixed collecting jids from current connections to show
	  in key management dialog.

	* otr/key.tcl: Show dialog if importing DSA key fails.

	* otr/tclotr/key.tcl: Fixed typo.

	* otr/tclotr/key.tcl: Use unix line endings when exporting the DSA
	  private key. Refuse to import keys which aren't 1024 bit long.

	* otr/README: Fixed info on how to use private keys.

	* otr/tclotr/message.tcl: Treat human readable message part as HTML
	  (strip tags for incoming messages, escape HTML entities for
	  outgoing ones).

	* otr/otr.tcl, otr/trans/ru.msg: Removed repeated link.

2014-01-26  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/otr.tcl: Fixed refreshing private connection if the
	  peer has changed his instance tag. Clear messages subject to resend
	  when the message state switches from encrypted.

	* otr/tclotr/auth.tcl: Fixed recreating D-H commit message.

	* otr/otr.tcl: Implemented disabling logs for encrypted OTR messages.

	* otr/auth.tcl: Replaced combobox by option menu to match edit keys
	  dialog.

	* otr/otr.tcl: Add the corresponding OTR icon to outgoing chat
	  messages.

	* floatinglog/floatinglog.tcl, whiteboard/whiteboard.tcl,
	  browser/browser.tcl, gmail/gmail.tcl, georoster/georoster.tcl:
	  Replaced direct bindings to mouse buttons 2 and 3 by virtual
	  events <<PasteSelection>> and <<ContextMenu>>, because in MacOSX
	  and in Unix buttons 2 and 3 correspond to different mous buttons
	  (thanks to Vitaly Takmazov).

	* spy/spy.tcl, spy/msgs/ru.msg: Added sound notification.

2014-01-25  Sergei Golovan <sgolovan@nes.ru>

	* otr/key.tcl, otr/tclotr/crypto.tcl: Code cleanup, made DSA key
	  generation more clear.

	* otr/*: Added short description to procedures definitions.

	* otr/otr.tcl, otr/tclotr/otr.tcl: Use the sender's instance tag
	  included into the Diffie-Hellman commit message. Resend the last
	  data message if it was replied by an OTR error message (resend it
	  after a new successful AKE).

	* otr/tclotr/otr.tcl: Fixed processing message state changes. Show
	  an info message when private conversation is started.

	* otr/msgs/ru.msg: Updated Russian translations.

	* otr/tclotr/otr.tcl: Show an info message when private conversation
	  is finished.

	* otr/otr.tcl: Translate outgoing OTR error messages.

	* otr/msgs/ru.msg, otr/trans/ru.msg: Update Russian translatinos.

	* otr/otr.tcl, otr/tclotr/otr.tcl: Show SSID and fingerprint in the
	  userinfo dialog.

	* otr/msgs/ru.msg: Updated Russian translations.

2014-01-24  Sergei Golovan <sgolovan@nes.ru>

	* otr/key.tcl, otr/otr.tcl: Finish all existing OTR sessions for a
	  given connection if the associated private key is imported or
	  deleted.

	* otr/key.tcl, otr/tclotr/crypto.tcl: Implemented generating new
	  DSA private key.

	* otr/msgs/ru.msg, otr/otr.tcl, otr/trans/ru.msg: Added Russian
	  translation.

2014-01-23  Sergei Golovan <sgolovan@nes.ru>

	* otr/otr.tcl, otr/tclotr/message.tcl, otr/tclotr/otr.tcl: Code
	  cleanup. Moved most of the interaction with the calling program to
	  callbacks. Fixed OTR labels for incoming chat messages. Disabled
	  some OTR menu items depending on the current message state.

	* otr/auth.tcl: Remove profile with empty fingerprints list from the
	  stored authentications.

	* otr/otr.tcl: Assign the message icon directly while rewriting its
	  body and not when drawing.

	* otr/tclotr/otr.tcl: Fixed typos in callback invocations.

	* otr/pixmaps/otr/notprivate.gif: Fixed the right edge.

	* otr/key.tcl, otr/tclotr/key.tcl, otr/otr.tcl: Implemented simple GUI
	  for managing OTR private DSA keys (currently importing, exporting,
	  deleting keys are supported).

2014-01-22  Sergei Golovan <sgolovan@nes.ru>

	* otr/auth.tcl, otr/otr.tcl, otr/tclotr/otr.tcl: Store the
	  authentication data after peer verification using question & answer,
	  shared secret or manual verification. Provisionally implemented
	  a dialog where user can edit auth info.

	* otr/otr.tcl: Dont filter groupchat, error and headline stanzas.

2014-01-21  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/key.tcl, otr/tclotr/pkgIndex.tcl: Added a new subpackage
	  which currently encodes and decodes DSA private keys in PEM format.

	* otr/otr.tcl, otr/README: Use ~/.tkabber/otr.private.key.pem file for
	  DSA private key instead of ::OTRPrivateKey variable from the config.

	* otr/otr.tcl: Fixed updating default OTR policy from GUI.

	* otr/otr.tcl, otr/tclotr/otr.tcl: Tell the OTR plugin about state
	  changes and SMP progress using callbacks and only in case of actual
	  change.

	* otr/tclotr/otr.tcl: Attach the OTR whitespace tag only if there
	  weren't received plaintext messages from the peer before.

	* otr/auth.tcl: Implemented authentication storing and restoring
	  infrastructure for future use (untested yet).

2014-01-20  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/otr.tcl: Do not send the OTR query message after an OTR
	  error if no ALLOW_V2 or ALLOW_V3 is in the policy flags.

	* otr/tclotr/data.tcl: Removed already done todo item.

	* otr/tclotr/otr.tcl, otr/tclotr/message.tcl: Implemented the old MAC
	  keys revelation, checking for the peer's counter monotonicity,
	  ignoring verification and decryption errors if IGNORE_UNREADABLE
	  message flag is set.

	* otr/tclotr/data.tcl, otr/tclotr/otr.tcl: Implemented assembling
	  incoming messages from fragments.

	* otr/tclotr/otr.tcl, otr/otr.tcl: Implemented sending heartbeat
	  messages (the OTR plugin doesn't use this yet).

	* otr/tclotr/otr.tcl: Fixed typo in code which stores old MAC keys.

	* otr/otr.tcl: Don't filter outgoing messages with empty body (or
	  without body at all). Don't allow the user to send messages in
	  finished OTR state.

	* otr/otr.tcl, otr/tclotr/otr.tcl: Removed unnecessary field from
	  OTR procedures' result.

	* otr/tclotr/otr.tcl: Fixed typo in ::otr::configure.

	* otr/otr.tcl, otr/tclotr/otr.tcl: Warn user if plaintext message
	  is received while encryption is required.

2014-01-19  Sergei Golovan <sgolovan@nes.ru>

	* otr/tclotr/otr.tcl: Fixed checking data message hash for protocol
	  version 3.

	* otr/tclotr/message.tcl: Fixed typo in processing SMP message 4.
	  Fixed error reporting.

	* otr/otr.tcl: Enabled starting SMP with shared secret.

	* otr/*: Continue developing OTR plugin.

	* otr/*: SMP protocol is now working, but its outcome isn't utilised
	  anywhere.

	* otr/otr.tcl, otr/tclotr/message.tcl: Got rid of eval and uplevel
	  calls.

	* otr/tclotr/otr.tcl: Don't attach the OTR whitespace tag if policy
	  doesn't allow using any protocol version.

	* otr/otr.tcl, otr/tclotr/message.tcl, otr/tclotr/otr.tcl,
	  otr/tclotr/smp.tcl: Roughly finished SMP implementation. No peer
	  authentication status storing yet though.

2014-01-18  Sergei Golovan <sgolovan@nes.ru>

	* otr/*: Better error reporting. Continue implementing peer
	  authentication.

2014-01-17  Sergei Golovan <sgolovan@nes.ru>

	* otr/*: Added pre-alpha of the new OTR plugin. No key management,
	  peer authentication, SMP, proper error reporting, resending
	  messages yet. Not for regular usage yet.

	* debug/debug.tcl: Added the otr debug category.

	* otr/tclotr/crypto.tcl: Added procedure which computes binary
	  DSA public key fingerprint.

	* otr/tclotr/otr.tcl: Don't compute DSA key fingerprint directly, but
	  convert the one computed in the otr::crypto package.

	* otr/tclotr/smp.tcl: Initially implemented parsing, creating and
	  verifying OTR SMP messages.

2014-01-01  Sergei Golovan <sgolovan@nes.ru>

	* *: 1.0 is released.

2013-12-31  Sergei Golovan <sgolovan@nes.ru>

	* browser/browser.tcl, gmail/gmail.tcl: Use the default values for
	  -deltax and -deltay Tree options.

	* Makefile: Changed mkdir and cp to install where it makes sense.
	  Don't mirror echo commands.

2013-12-30  Sergei Golovan <sgolovan@nes.ru>

	* singularity/singularity.tcl: Fixed concatenation of histories.

2013-12-03  Sergei Golovan <sgolovan@nes.ru>

	* debug/debug.tcl: Added xmpp::transport::bosh debug category.

2012-06-12  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* attline/msgs/uk.msg: Added Ukrainian translation for
	  the attline plugin.

2012-05-05  Sergei Golovan <sgolovan@nes.ru>

	* poker/msgs/ru.msg, poker/poker.tcl: Added Russian translation for
	  the poker plugin.

2012-05-04  Sergei Golovan <sgolovan@nes.ru>

	* poker/poker.tcl, poker/proto: Fixed cryptographic weakness in
	  the shuffling cards procedure. Therefore the game type attribute
	  has been changed to 'poker:th:1'.

	* Makefile, README: Added poker plugin to the plugins list.

2010-12-03  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* receipts/receipts.tcl: Implement support for XEP-0184 v1.1.

2010-12-01  Sergei Golovan <sgolovan@nes.ru>

	* latex/latex.tcl: Fixed processing blacklisted words.

2010-11-18  Sergei Golovan <sgolovan@nes.ru>

	* stripes/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

	* quotelastmsg/msgs/de.msg: Updated German translation (thanks to
	  Roger Sondermann).

2010-11-17  Sergei Golovan <sgolovan@nes.ru>

	* ctcomp/ctcomp.tcl: Added message catalog support.

	* ctcomp/msgs/de.msg, latex/msgs/de.msg, presencecmd/msgs/de.msg:
	  Updated German translation (thanks to Roger Sondermann)

2010-11-17  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* unixkeys/unixkeys.tcl: Make unixkeys plugin dynamically loadable,
	  provide Russian message catalog.
	* quotelastmsg/quotelastmsg.tcl: Explicitly require msgcat package.

2010-11-16  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* stripes/stripes.tcl: Make stripes plugin dynamically loadable,
	  provide Russian message catalog.

2010-11-15  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* quotelastmsg/quotelastmsg.tcl: Make quotelastmsg plugin
	  dynamically loadable.

2010-11-12  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* presencecmd/presencecmd.tcl: Make presencecmd plugin dynamically
	  loadable (thanks to Serge Yudin).
	* checkers/msgs/ru.msg: Fix typo (thanks to Serge Yudin).

2010-11-11  Sergei Golovan <sgolovan@nes.ru>

	* openurl/openurl.tcl: Fixed typo and added Google Chrome browser.

2010-11-11  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* singularity/singularity.tcl: Make singularity plugin dynamically
	  loadable.

2010-11-10  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* latex/latex.tcl: Make latex plugin dynamically loadable.
	* osd/osd.tcl: Make osd plugin dynamically loadable.

2010-11-09  Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* ctcomp/ctcomp.tcl: Make ctcomp plugin dynamically loadable,
	  remove dead code.

2010-04-21  Sergei Golovan <sgolovan@nes.ru>

	* quotelastmsg/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann)

2010-03-08  Sergei Golovan <sgolovan@nes.ru>

	* quotelastmsg/msgs/ru.msg: Fixed typo (thanks to Serge Yudin).

2010-02-14  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/pl.msg, gmail/msgs/pl.msg, floatinglog/msgs/pl.msg,
	  spy/msgs/pl.msg, receipts/msgs/pl.msg, reversi/msgs/pl.msg,
	  checkers/msgs/pl.msg, whiteboard/msgs/pl.msg,
	  custom-urls/msgs/pl.msg, ejabberd/msgs/pl.msg, attline/msgs/pl.msg,
	  chess/msgs/pl.msg, georoster/msgs/pl.msg, singularity/msgs/pl.msg,
	  traffic/msgs/pl.msg: Updated Polish translation (thanks to Irek
	  Chmielowiec).

2010-01-31  Sergei Golovan <sgolovan@nes.ru>

	* tclchat/tclchat_messages.tcl: Fixed typo.

2010-01-30  Sergei Golovan <sgolovan@nes.ru>

	* tclchat/tclchat_messages.tcl: Adapted to changes in Tkabber's MUC.

2010-01-24  Sergei Golovan <sgolovan@nes.ru>

	* jidlink/jidlink.tcl, jidlink/trans/ru.msg: Added translations to
	  the text of outgoing error messages.

2010-01-23  Sergei Golovan <sgolovan@nes.ru>

	* bc/msgs/ru.msg, browser/msgs/ru.msg, checkers/msgs/ru.msg,
	  chess/msgs/ru.msg, custom-urls/msgs/ru.msg, cyrillize/msgs/ru.msg,
	  ejabberd/msgs/ru.msg, floatingcontact/msgs/ru.msg,
	  floatinglog/msgs/ru.msg, georoster/msgs/ru.msg, gmail/msgs/ru.msg,
	  iconsets/msgs/ru.msg, jidlink/msgs/ru.msg, mute/msgs/ru.msg,
	  openurl/msgs/ru.msg, quiz/msgs/ru.msg, quotelastmsg/msgs/ru.msg,
	  receipts/msgs/ru.msg, renju/msgs/ru.msg, reversi/msgs/ru.msg,
	  singularity/msgs/ru.msg, spy/msgs/ru.msg, tclchat/msgs/ru.msg,
	  traffic/msgs/ru.msg, whiteboard/msgs/ru.msg: Updated Russian
	  translation.

	* Makefile: Added floatingcontact plugin to plugins list.

	* quotelastmsg/quotelastmsg.tcl: Fixed escaping % in bind scripts.

2010-01-16  Sergei Golovan <sgolovan@nes.ru>

	* spy/spy.tcl: Fixed adding new spy watch if some of them were added
	  and removed already.

2010-01-14  Sergei Golovan <sgolovan@nes.ru>

	* latex/latex.tcl: Use -output-directory latex option instead of
	  changing working directory. Use dvigif if available to produce an
	  image to insert into a chat window.

2009-12-29  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl: Check if the floatinglog window exists
	  before setting its geometry (thanks to Ruslan Rakhmanin).

2009-12-25  Sergei Golovan <sgolovan@nes.ru>

	* gmail/gmail.tcl: Got rid of using global NS variable.

	* floatinglog/floatinglog.tcl: Destroy floatinglog window if there's
	  no messages to show. Otherwise some earlier messages were displayed
	  and confuse a user on arriving a new message (thanks to Ruslan
	  Rakhmanin).

2009-10-27  Sergei Golovan <sgolovan@nes.ru>

	* debug/debug.tcl: Moved menu to debug tools submenu.

2009-09-12  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Fixed removing expired attention line if it
	  isn't drawn (thanks to Jan Zachorowski).

2009-08-16  Sergei Golovan <sgolovan@nes.ru>

	* attline/msgs/es.msg, browser/msgs/es.msg, checkers/msgs/es.msg,
	  chess/msgs/es.msg, debug/msgs/es.msg, ejabberd/msgs/es.msg,
	  floatinglog/msgs/es.msg, georoster/msgs/es.msg, gmail/msgs/es.msg,
	  jidlink/msgs/es.msg, openurl/msgs/es.msg, receipts/msgs/es.msg,
	  renju/msgs/es.msg, reversi/msgs/es.msg, spy/msgs/es.msg,
	  tclchat/msgs/es.msg, traffic/msgs/es.msg, whiteboard/msgs/es.msg:
	  Updated Spanish translation (thanks to Badlop).

	* receipts/README: Fixed typos (thanks to Badlop).

2009-04-23  Sergei Golovan <sgolovan@nes.ru>

	* receipts/receipts.tcl: Enabled receipts even if the confirmation
	  message is received from a resource different from the resource where
	  the initial message was sent to. It is useful if one sends a message
	  to an offline resource and server reroutes it to an available one.

2009-04-01  Sergei Golovan <sgolovan@nes.ru>

	* jidlink/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2009-03-31  Sergei Golovan <sgolovan@nes.ru>

	* jidlink/jidlink.tcl, jidlink/plugins/*: Made Jidlink plugin
	  unloadable.

2009-03-29  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl, tclchat/tclchat.tcl: Restored calls to
	  ::http::geturl because it's finally fully wrapped and adopted for
	  work with proxies.

	* tclchat/tclchat.tcl: Added version to http package requirement to
	  prevent version 1.0 loading.

2009-03-27  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Use new proxied HTTP query for downloading
	  US locations data.

	* receipts/receipts.tcl: Made receipts plugin unloadable.

	* tclchat/tclchat.tcl: Use new proxied HTTP query for downloading
	  Tclers' chat history.

	* receipts/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2009-03-26  Sergei Golovan <sgolovan@nes.ru>

	* spy/spy.tcl, tclchat/tclchat.tcl, tclchat/tclchat_commands.tcl,
	  tclchat/tclchat_messages.tcl, traffic/traffic.tcl: Made Tclchat,
	  Presence Spy and Traffic Counter plugins unloadable.

	* traffic/traffic.tcl: Fixed closing brackets (thanks to Roger
	  Sondermann).

	* gmail/msgs/de.msg, spy/msgs/de.msg, traffic/msgs/de.msg: Updated
	  German translation (thanks to Roger Sondermann).

2009-03-25  Sergei Golovan <sgolovan@nes.ru>

	* gmail/gmail.tcl, iconsets/iconsets.tcl, mute/mute.tcl: Made Gmail,
	  iconsets and MUTE plugins unloadable.

	* checkers/checkers.tcl, chess/chess.tcl, poker/poker.tcl,
	  renju/renju.tcl, reversi/reversi.tcl: Removed useless procedures from
	  postload and finload hooks.

2009-03-22  Sergei Golovan <sgolovan@nes.ru>

	* aniemoticons/msgs/de.msg, floatingcontact/msgs/de.msg,
	  socials/msgs/de.msg, whiteboard/msgs/de.msg: Updated German
	  translation (thanks to Roger Sondermann).

2009-03-14  Sergei Golovan <sgolovan@nes.ru>

	* floatingcontact/floatingcontact.tcl: Moved loading message catalog
	  to a root namespace because the plugin uses several namespaces.

	* whiteboard/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* openurl/openurl.tcl: Fixed popup menu in chat windows if it openes
	  not over a URL.

2009-03-13  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl, whiteboard/whiteboard.tcl: Fixed cid: URI
	  usage.

	* openurl/openurl.tcl: Made plugin unloadable. Also, added a few
	  browsers and a custom browser (thanks to Serge Yudin).

	* custom-urls/custom-urls.tcl, cyrillize/cyrillize.tcl,
	  ejabberd/ejabberd.tcl, floatingcontact/floatingcontact.tcl,
	  floatinglog/floatinglog.tcl, georoster/georoster.tcl: Made plugins
	  unloadable.

	* georoster/georoster.tcl: Fixed reloading the plugin.

	* cyrillize/cyrillize.tcl: Fixed reading recoding table on the package
	  loading.

	* whiteboard/whiteboard.tcl: Made whiteboard plugin unloadable.

	* ejabberd/msgs/de.msg, floatingcontact/msgs/de.msg,
	  floatinglog/msgs/de.msg, georoster/msgs/de.msg, openurl/msgs/de.msg:
	  Updated German translation (thanks to Roger Sondermann).

2009-03-12  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl, whiteboard/whiteboard.tcl: Switched to
	  Bits of Binary (Xep-0231) interface when sending bitmaps.

2009-03-10  Sergei Golovan <sgolovan@nes.ru>

	* poker/poker.tcl: Fixed bug with pot splitting.

	* poker/pixmaps/doods/*: Added another cards theme.

2009-03-09  Sergei Golovan <sgolovan@nes.ru>

	* poker/*: Added new game plugin for playing heads up Poker (Texas
	  hold'em). It is unfinished yet, but mostly usable. It uses long
	  arithmetics, so requires Tcl/Tk 8.5 to work.

	* checkers/checkers.tcl, chess/chess.tcl, poker/poker.tcl,
	  renju/renju.tcl, reversi/reversi.tcl: Adjusted priorities in games
	  popup menu.

2009-03-08  Sergei Golovan <sgolovan@nes.ru>

	* debug/debug.tcl: Fixed bug with plugin unloading.

2009-03-07  Sergei Golovan <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Made Checkers, Chess, Renju and Reversi plugins
	  unloadable.

2009-03-02  Sergei Golovan <sgolovan@nes.ru>

	* aniemoticons/aniemoticons.tcl: Reload emoticons theme after enabling
	  animated GIFs support.

2009-02-28  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Adapted to a change in output format in
	  ::xmpp::delay::parse procedure.

2009-02-27  Sergei Golovan <sgolovan@nes.ru>

	* debug/debug.tcl: Added calling procedure name to debug info. Also,
	  added caps debug category.

2009-02-23  Sergei Golovan <sgolovan@nes.ru>

	* browser/browser.tcl: Made Jabber Browser plugin unloadable.

	* attline/attline.tcl: Fixed typo.

	* browser/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* attline/attline.tcl: Removed reconfiguring attention line script from
	  <Configure> event in chatlog windows on plugin unload. Also, changed
	  attention line color definition to match dark themes as well, and
	  adapted the plugin to Tcl/Tk 8.3.

2009-02-20  Sergei Golovan <sgolovan@nes.ru>

	* aniemoticons/aniemoticons.tcl, attline/attline.tcl,
	  debug/debug.tcl, socials/socials.tcl: Moved plugin preloading code
	  to the main plugin files.

	* bc/bc.tcl, quiz/quiz.tcl: Made B&C and Quiz plugins unloadable.

2009-02-19  Sergei Golovan <sgolovan@nes.ru>

	* attline/msgs/de.msg, debug/msgs/de.msg: Updated German translation
	  (thanks to Roger Sondermann).

2009-02-18  Sergei Golovan <sgolovan@nes.ru>

	* socials/preload.tcl, socials/msgs/ru.msg: Added translation to
	  plugin description in plugins management group.

	* debug/debug.tcl, debug/preload.tcl: Made debug plugin unloadable and
	  let it collect TclXMPP related debug information.

	* debug/msgs/ru.msg: Update Russian translation.

	* aniemoticons/aniemoticons.tcl, aniemoticons/preload.tcl,
	  aniemoticons/msgs/ru.msg: Made aniemoticons plugin unloadable.

	* attline/attline.tcl, attline/preload.tcl, attline/msgs/ru.msg: Made
	  attention line plugin unloadable.

2009-02-17  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Fixed typo.

	* georoster/georoster.tcl: Fixed retrieving stored georoster data.

	* stripes/stripes.tcl: Lowered priority of tags which set background
	  color for odd and even messages. Otherwise they overlayed the
	  selection tag.

2009-02-16  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Deleted references to roster aliases as
	  they were removed from Tkabber.

2009-02-13  Sergei Golovan <sgolovan@nes.ru>

	* floatingcontact/floatingcontact.tcl: Slightly optimized roster
	  rendering.

2009-02-11  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Use private XML storage interface from
	  TclXMPP.

2009-01-10  Sergei Golovan <sgolovan@nes.ru>

	* socials/preload.tcl, socials/socials.tcl: Made socials plugin
	  unloadable without requiring Tkabber restart.

2008-11-15  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl, whiteboard/whiteboard.tcl: Added
	  preliminary bitmap support (though it doesn't conform SVG
	  specifications, so it's currently intended to polish interface part
	  and subsequently rewrite XML part).

	* whiteboard/msgs/de.msg: Updated German translation (thanks to
	  Roger Sondermann).

2008-11-09  Sergei Golovan <sgolovan@nes.ru>

	* traffic/traffic.tcl: Adapted traffic plugin to new log callback from
	  XMPP library.

2008-11-03  Sergei Golovan <sgolovan@nes.ru>

	* jidlink/jidlink.tcl: Rewritten to use xmpp::negotiate package for
	  method negotiation.

	* jidlink/plugins/filetransfer.tcl: A few bugfixes.

2008-10-26  Sergei Golovan <sgolovan@nes.ru>

	* floatingcontact/msgs/de.msg: Updated German translation (thanks to
	  Roger Sondermann).

2008-10-25  Sergei Golovan <sgolovan@nes.ru>

	* floatingcontact/msgs/de.msg, floatinglog/msgs/de.msg,
	  debug/msgs/de.msg, openurl/msgs/de.msg: Updated German translation
	  (thanks to Roger Sondermann).

	* checkers/checkers.tcl, chess/chess.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Rewrote invitation dialog to remove unnecessary
	  vwait.

	* receipts/receipts.tcl: Added packet ID to function for
	  chat_send_message_xlist_hook hook. Fixed packet ID processing for
	  receipts.

	* tclchat/tclchat.tcl: Added packet ID to add_color function
	  arguments.

2008-10-24  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/tkabber-khim.tcl: Fixed settind option type.

	* floatingcontact/floatingcontact.tcl: Use normalized JID for storing
	  floating contacts properties.

2008-10-23  Sergei Golovan <sgolovan@nes.ru>

	* floatingcontact/floatingcontact.tcl: Fixed saving floating windows
	  coordinates on disconnect and moved restoring them from loading
	  stage to connected stage.

2008-10-22  Sergei Golovan <sgolovan@nes.ru>

	* floatingcontact/*: Added a new plugin which allows roster contacts
	  to float in separate small windows.

2008-10-20  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl: Added messages about following
	  reconnect to an ignored messages list (thanks to Ruslan Rakhmanin).

2008-10-19  Sergei Golovan <sgolovan@nes.ru>

	* browser/browser.tcl, floatinglog/floatinglog.tcl,
	  georoster/georoster.tcl, receipts/receipts.tcl,
	  singularity/singularity.tcl, tclchat/tclchat_messages.tcl,
	  traffic/traffic.tcl: Replaced JID related procedures from utils.tcl
	  (node_from_jid, server_from_jid, resource_from_jid,
	  node_and_server_from_jid, tolower_node_and_domain) by procedures from
	  xmpp::jid package (::xmpp::jid::node, ::xmpp::jid::server,
	  ::xmpp::jid::resource, ::xmpp::jid::stripResource,
	  ::xmpp::jid::normalize).

	* tclchat/tclchat_messages.tcl: Adapted client callback invocations to
	  the changed syntax.

2008-10-18  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Fixed balloon text setting.

	* jidlink/jidlink.tcl: Fixed query namespace.

	* checkers/checkers.tcl, chess/chess.tcl, ejabberd/ejabberd.tcl,
	  georoster/georoster.tcl, jidlink/jidlink.tcl,
	  jidlink/plugins/filetransfer.tcl, renju/renju.tcl,
	  reversi/reversi.tcl, spy/spy.tcl, whiteboard/whiteboard.tcl: Removed
	  unnecessary call to format command.

	* georoster/georoster.tcl: Fixed typo.

	* checkers/checkers.tcl, mute/mute.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Fixed XML elements creation and IQ query.

	* openurl/openurl.tcl: Optionally use flat menu for all browsers.

	* openurl/msgs/ru.msg: Updated Russian translation.

2008-10-17  Sergei Golovan <sgolovan@nes.ru>

	* *: 0.11.1 is released.

	* *: Massive update caused by moving to an external XMPP library
	  TclXMPP (http://code.google.com/p/tclxmpp/).

	* bc/bc.tcl, browser/browser.tcl, presencecmd/presencecmd.tcl,
	  quiz/quiz.tcl, singularity/singularity.tcl, socials/socials.tcl,
	  spy/spy.tcl: Fixed connections notation.

	* whiteboard/whiteboard.tcl: Fixed typo.

	* whiteboard/svgrender.tcl: Fixed typo.

2008-10-15  Sergei Golovan <sgolovan@nes.ru>

	* quotelastmsg/*, singularity/*, stripes/*: Added three new plugins
	  (thanks to Konstantin Khomoutov).

2008-08-26  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Converted draw actions back to radio
	  buttons (it's too inefficient to use popup menu for them). Transform
	  and remove actions are left in the popup menu.

	* whiteboard/msgs/ru.msg: Updated Russian translation.

	* README: Added description fo receipts and unixkeys plugins, cleared
	  description for ctcomp plugins (thanks to Konstantin Khomoutov).

	* whiteboard/whiteboard.tcl: Fixed width of tools radiobuttons.

	* whiteboard/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2008-08-08  Sergei Golovan <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Don't warn user about not received move replies
	  on disconnect.

	* chess/chess.tcl: Added draw by repetition.

	* chess/msgs/ru.msg: Updated Russian translation.

	* chess/chess.tcl: Fixed bug with forbidden castling in case when
	  pieces has moved.

	* chess/chess.tcl: Added possibility of castling and capture en passant
	  to position code when counting repetitions.

2008-07-12  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Fixed typo.

2008-07-09  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2008-07-08  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl: Fixed rotation transform. Changed id
	  canvas tags from id$id to [list id $id] form.

	* whiteboard/whiteboard.tcl: Added several object transformations.

2008-07-07  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2008-07-06  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl: Reworked SVG rendering, made all existing
	  shapes transformable (except text), implemented all transformations,
	  added several new attributes (stroke-linecap, stroke-linejoin etc.).
	  Broken compatibility (the default outline color is empty now and not
	  black).

	* whiteboard/whiteboard.tcl: Use svgrender for all elements rendering.
	  Added a new rectangular shape. Moved all actions to a popup menu
	  instead of radiobuttons. Added very preliminary (without user
	  interface yet) tranformation support.

2008-06-18  Sergei Golovan <sgolovan@nes.ru>

	* cyrillize/cyrillize.tcl: Added cyrillize bindings to all text and
	  entry widgets.

2008-06-08  Sergei Golovan <sgolovan@nes.ru>

	* unixkeys/README, unixkeys/TODO, unixkeys/unixkeys.tcl: Added
	  bindings to entry widgets also (thanks to Konstantin Khomoutov).

	* Makefile: Added receipts and unixkeys to plugins list.

	* *: 0.11.0 is released.

2008-06-04  Sergei Golovan <sgolovan@nes.ru>

	* receipts/msgs/pl.msg: Updated Polish translation (thanks to Irek
	  Chmielowiec).

	* tclchat/msgs/es.msg, browser/msgs/es.msg, renju/msgs/es.msg,
	  jidlink/msgs/es.msg, receipts/msgs/es.msg: Added Spanish translation
	  (thanks to Badlop).

	* unixkeys/*: Added a small plugin which provides alternative bindings
	  in Text widget close to Emacs and readline bindings (thanks to
	  Konstantin Khomoutov).

2008-05-22  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/msgs/ru.msg, receipts/msgs/ru.msg: Updated Russian
	  translation.

2008-05-20  Sergei Golovan <sgolovan@nes.ru>

	* receipts/msgs/ru.msg: Added Russian translation (thanks to
	  Konstantin Khomoutov).

2008-05-18  Sergei Golovan <sgolovan@nes.ru>

	* receipts/receipts.tcl: Allowed to return message receipts to private
	  chat partners in a conference room. Removed per-user receipts
	  customization (thanks to Konstantin Khomoutov).

	* receipts/TODO, receipts/README: Clarified receipts
	  requesting/responding behavior (thanks to Konstantin Khomoutov).

	* receipts/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2008-05-14  Sergei Golovan <sgolovan@nes.ru>

	* receipts/receipts.tcl: Fixed a bug with cleanup for JIDs that
	  contain %.

2008-05-13  Sergei Golovan <sgolovan@nes.ru>

	* receipts/receipts.tcl: Allowed to disable receipt queries and
	  answers. Don't send receipts to users which aren't subscribed to our
	  presence (thanks to Konstantin Khomoutov).

	* receipts/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2008-05-12  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/khim/es.msg: Added Spanish transpation (thanks to
	  Badlop).

	* receipts/msgs/pl.msg: Added Polish translation (thanks to Irek
	  Chmielowiec).

2008-05-11  Sergei Golovan <sgolovan@nes.ru>

	* receipts/*: Added new plugin which implements XEP-0184 (Message
	  Receipts). Thanks to Konstantin Khomoutov.

	* debug/debug.tcl: Do not crash if debug messages are coming when main
	  window and mainnotebook aren't created yet.

	* receipts/receipts.tcl: Added message catalogs support.

	* receipts/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

2008-05-05  Sergei Golovan <sgolovan@nes.ru>

	* openurl/openurl.tcl, openurl/msgs/*.msg: Open URL in a separate tab
	  in Opera, and moved menu items for different browsers to a submenu
	  (thanks to Alex Smirnov, closes
	  http://www.jabber.ru/bugzilla/show_bug.cgi?id=379).

2008-04-16  Sergei Golovan <sgolovan@nes.ru>

	* renju/renju.tcl: Implemented Renju game (without openings).

2008-03-23  Sergei Golovan <sgolovan@nes.ru>

	* attline/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* traffic/traffic.tcl, osd/osd.tcl: Removed usage of global font
	  variable.

2008-01-28  Sergei Golovan <sgolovan@nes.ru>

	* browser/browser.tcl, checkers/checkers.tcl, chess/chess.tcl,
	  ejabberd/ejabberd.tcl, georoster/georoster.tcl, gmail/gmail.tcl,
	  mute/mute.tcl, renju/renju.tcl, reversi/reversi.tcl, spy/spy.tcl,
	  tclchat/tclchat.tcl: Removed usage of global font variable.

2008-01-20  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Fixed bug with leaving chatlog window in normal
	  state if an attention doesn't need to be redrawn (thanks to
	  Konstantin Khomoutov).

2008-01-16  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Removed tags ATLINE, made the line more thin,
	  optimized line redrawing, state clearing moved to
	  chat_close_post_hook (thanks to Konstantin Khomoutov).

	* attline/attline.tcl: Changed default line color from red to black.

	* floatinglog/floatinglog.tcl: Fixed bug with displaying message with
	  empty body (thanks to Ruslan Rakhmanin).

2007-12-31  Sergei Golovan <sgolovan@nes.ru>

	* gmail/gmail.tcl: Removed opening notifications window at Tkabber
	  start and added it to Tkabber state saving/restoring.

	* browser/browser.tcl, checkers/checkers.tcl, chess/chess.tcl,
	  ejabberd/ejabberd.tcl, georoster/georoster.tcl, gmail/gmail.tcl,
	  renju/renju.tcl, reversi/reversi.tcl, spy/spy.tcl,
	  traffic/traffic.tcl, whiteboard/whiteboard.tcl: Do not raise new
	  tabs (when raise_new_tab is off) only if it isn't created by a
	  Tkabber user himself, but by some external event (incoming message
	  etc.).

2007-12-30  Sergei Golovan <sgolovan@nes.ru>

	* ejabberd/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

2007-12-26  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Fixed bug with processing Configure events
	  which come before attention line is placed to its chat window.

2007-12-19  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl, latex/latex.tcl,
	  tkabber-khim/khim/khim.tcl: Added -- to all switch commands.

2007-12-15  Sergei Golovan <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Fixed invitation dialogs.

2007-12-06  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Fixed attention line width calculation
	  (thanks to Konstantin Khomoutov).

2007-11-30  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Fixed attline state cleanup after closing chat
	  window.

2007-11-29  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Fixed crash after closing chat tab/window
	  before attline is expired if option 'remove expired attline' is
	  turned on (thanks to Konstantin Khomoutov).

2007-11-25  Sergei Golovan <sgolovan@nes.ru>

	* latex/latex.tcl: use [winfo rgb] to get RGB color instead of
	  creating temporary image.

	* tclchat/tclchat.tcl: Fixed plugins::nickcolors::get_color call.

	* tclchat/tclchat_messages.tcl: Fixed processing Tkchat colors.

2007-11-14  Sergei Golovan <sgolovan@nes.ru>

	* ctcomp/README: Added info about keybindings (thanks to Konstantin
	  Khomoutov).

	* attline/BUGS: Removed since bugs mentioned in it are fixed (thanks
	  to Konstantin Khomoutov).

	* attline/TODO: Removed already done tasks (thanks to Konstantin
	  Khomoutov).

	* attline/README, attline/INSTALL: Added info about plugin and
	  installation instructions (thanks to Konstantin Khomoutov).

	* ctcomp/README: A small fix (thanks to Konstantin Khomoutov).

2007-11-13  Sergei Golovan <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Turned invitation dialogs to non-modal ones.

2007-11-08  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/msgs/pl.msg, gmail/msgs/pl.msg, openurl/msgs/pl.msg,
	  presencecmd/msgs/pl.msg: Added Polish translation (thanks to Irek
	  Chmielowiec).

	* gmail/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

	* spy/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-10-31  Sergei Golovan <sgolovan@nes.ru>

	* attline/msgs/es.msg, chess/msgs/es.msg, ejabberd/msgs/es.msg,
	  floatinglog/msgs/es.msg, georoster/msgs/es.msg, gmail/msgs/es.msg,
	  openurl/msgs/es.msg, presencecmd/msgs/es.msg,
	  tkabber-khim/msgs/es.msg: Added and updated Spanish translation
	  (thanks to Badlop).

2007-10-28  Sergei Golovan <sgolovan@nes.ru>

	* *: Tagged 0.10.1-beta2 for release.

2007-10-27  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl: Added an option for the height of
	  floating log window, and made it ignore IBB file transfer requests
	  (thanks to Ruslan Rakhmanin).

	* floatinglog/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-10-26  Sergei Golovan <sgolovan@nes.ru>

	* ctcomp/ctcomp.tcl: Fixed definition of word edges (thanks to
	  Konstantin Khomoutov).

2007-10-23  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl: Raise floatinlog window. It helps to
	  keep it on top (thanks to Denis Shaposhnikov).

2007-10-14  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Changed atline namespace to attline, the same
	  for debug type. Switched to chat::winid_to_chatid. Bound cleanup
	  procedure to Chat window class instead of specific windows (thanks
	  to Konstantin Khomoutov).

	* attline/msgs/ru.msg: Fixed Russian translation (thanks to
	  Konstantin Khomoutov).

	* debug/debug.tcl: Added attline and tclchat debug types. Reorganized
	  debug types menu into two-level menu.

2007-10-10  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl: Added new options which allow to show
	  only personal messages (or MUC highlights) and allow not to show
	  status changes (thanks to Konstantin Khomoutov).

	* floatinglog/floatinglog.tcl, floatinglog/msgs/ru.msg: Fixed
	  processing (ignoring) idle status messages (thanks to Konstantin
	  Khomoutov)

	* floatinglog/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-10-07  Sergei Golovan <sgolovan@nes.ru>

	* floatinglog/floatinglog.tcl: Fixed doubleclick bindings to JIDs
	  which contain %. Removed unused variables and useless message
	  options.

	* floatinglog/TODO: Removed tasks which are already done or will never
	  be done.

	* ctcomp/*: Added new plugin which allow to complete words from chat
	  log windows (thanks to Konstantin Khomoutov).

	* Makefile, README: Added ctcomp plugin.

	* *: Tagged 0.10.1-beta for release.

	* floatinglog/floatinglog.tcl: Added extra geometry settings to fix
	  the behavior under control of some window managers (openbox, ion3).

2007-10-06  Sergei Golovan <sgolovan@nes.ru>

	* browser/browser.tcl: Replaced ::jlib::route by the first connection
	  in cinnection list.

	* floatinglog/*, README, Makefile: Added new plugin which reports
	  about incoming messages in a floating log window (thanks to Ruslan
	  Rakhmanin).

	* openurl/openurl.tcl, openurl/msgs/ru.msg: Added support for
	  translations and Russian message file.

	* floatinglog/floatinglog.tcl: Cleaned up messages. Changed time units
	  for hide delay from milliseconds to seconds.

	* floatinglog/msgs/ru.msg: Added Russian translation.

	* floatinglog/msgs/de.msg, openurl/msgs/de.msg: Added German
	  translation (thanks to Roger Sondermann).

	* floatinglog/floatinglog.tcl: Removed explicit usage of background
	  and foreground resources.

2007-10-05  Sergei Golovan <sgolovan@nes.ru>

	* README: Added missing descriptions.

	* Makefile: Added custom-urls to a list of plugins to install.

2007-09-23  Sergei Golovan <sgolovan@nes.ru>

	* aniemoticons/anigif.tcl: Fixed some GIF images processing (thanks
	  to Ruslan Rakhmanin).

2007-09-21  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Use separated public XML storage interface.

2007-09-10  Sergei Golovan <sgolovan@nes.ru>

	* presencecmd/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

2007-09-08  Sergei Golovan <sgolovan@nes.ru>

	* jidlink/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

2007-09-05  Sergei Golovan <sgolovan@nes.ru>

	* attline/msgs/pl.msg, browser/msgs/pl.msg, ejabberd/msgs/pl.msg,
	  georoster/msgs/pl.msg, jidlink/msgs/pl.msg: Updated Polish
	  translation (thanks to Irek Chmielowiec).

	* gmail/gmail.tcl, presencecmd/presencecmd.tcl: Made user messages
	  translateable.

	* gmail/msgs/ru.msg, presencecmd/msgs/ru.msg: Added Russian
	  translation.

2007-09-03  Sergei Golovan <sgolovan@nes.ru>

	* gmail/gmail.tcl: Fixed bug with empty disabledForeground option.

2007-09-02  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/tkabber-khim.tcl: Removed unnecessary namespace level.

	* gmail/gmail.tcl: Added new plugin which allows users of Google Talk
	  service to get Gmail notifications.

	* openurl/openurl.tcl: Added new plugin which allows to open URLs in
	  any installed browser found in PATH environment variable.

2007-09-01  Sergei Golovan <sgolovan@nes.ru>

	* browser/msgs/de.msg, browser/msgs/ru.msg: Added SVN Id attribute.

	* jidlink/msgs/ru.msg: Fixed SVN Id attribute.

2007-08-31  Sergei Golovan <sgolovan@nes.ru>

	* jidlink/*: New Jidlink support plugin. Jidlink support is removed
	  from main Tkabebr distribution because it is obsolete and
	  undocumented and superseeded by Stream Initiation.

	* Makefile: Added browser and jidlink plugins to a plugin list.

2007-08-30  Sergei Golovan <sgolovan@nes.ru>

	* browser/*: New Jabber Browser (XEP-0011) support plugin. It was
	  removed from main Tkabber distribution because it is deprecated.

	* browser/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-08-18  Sergei Golovan <sgolovan@nes.ru>

	* attline/attline.tcl: Code cleanup. Do not expire attention line if
	  it is already expired.

	* presencecmd/presencecmd.tcl: Code cleanup.

	* attline/attline.tcl: Added support for message catalogs.

	* attline/msgs/ru.msg: Added Russian translation.

	* attline/msgs/de.msg, debug/msgs/de.msg: Updated German translation
	  (thanks to Roger Sondermann).

2007-08-17  Sergei Golovan <sgolovan@nes.ru>

	* attline/*: Added new plguin which draws an attention line in chat
	  windows (thanks to Konstantin Khomoutov).

	* presencecmd/*: Added new plugin which introduces several chat
	  commands changing user's presence information (thanks to Konstantin
	  Khomoutov).

	* README: Added short descriptions of attline and presencecmd plugins.

	* Makefile: Added new plugins.

	* attline/*, presencecmd/*: Changed eol style to native.

	* attline/attline.tcl: Removed using control package to not force
	  adding it to a strapacks, and unconditionally use real priority value
	  in hook::add because it isn't necessary to use this plugin in
	  earlier Tkabber versions.

2007-08-11  Sergei Golovan <sgolovan@nes.ru>

	* bc/bc.tcl, checkers/checkers.tcl, chess/chess.tcl, mute/mute.tcl,
	  quiz/quiz.tcl, renju/renju.tcl, reversi/reversi.tcl,
	  whiteboard/whiteboard.tcl: Renamed [random] procedure to [rand] to
	  prevent clash with one from Memchan package, which is loaded for
	  JISP support.

2007-08-09  Sergei Golovan <sgolovan@nes.ru>

	* quiz/quiz.tcl: Fixed hinting and added displaying the correct answer
	  if nobody has found it (thanks to Alexander Kupcov).

2007-06-24  Sergei Golovan <sgolovan@nes.ru>

	* tclchat/tclchat.tcl: Changed loginconf options according to changes
	  in login.tcl.

2007-06-12  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Fixed typo.

	* custom-urls/custom-urls.tcl, README: Added new plugin, which allows
	  to specify custom URLs based on regular expressions.

	* georoster/georoster.tcl: Fixed variable initialization.

	* custom-urls/custom-urls.tcl: Added an example of custom URLs.

2007-06-11  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Fixed drag'n'drop of JIDs over Georoster
	  window. Store georoster contacts separately for each Tkabber
	  connection (while showing them in one window).

	* georoster/msgs/ru.msg, georoster/msgs/uk.msg: Updated.

	* georoster/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-06-10  Sergei Golovan <sgolovan@nes.ru>

	* ejabberd/ejabberd.tcl: Added connection choice to a dialog of
	  selecting ejabberd server to administrate. Also, allowed opening
	  several windows to the same JID from different connections. Also,
	  clean up data variables on page close.

	* ejabberd/msgs/ru.msg, ejabberd/msgs/uk.msg: Updated.

2007-06-09  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/khim/khim.tcl: Added khim package forgetting command to
	  load really newest khim version.

2007-06-04  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl: Ignore surrounding spaces in point lists.

	* ChangeLog: Fixed year in recent changelog entry dates.

2007-04-12  Sergei Golovan <sgolovan@nes.ru>

	* *: 0.10.0 is released.

	* README: Added description for renju and tclchat plugins.

2007-04-08  Sergei Golovan <sgolovan@nes.ru>

	* tclchat/tclchat.tcl: Fixed init routine priority.

	* renju/renju.tcl: Do not reply to game type 'renju' calls because
	  this type is not implemented yet.

2007-04-02  Sergei Golovan <sgolovan@nes.ru>

	* georoster/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-28  Sergei Golovan <sgolovan@nes.ru>

	* traffic/traffic.tcl: Added scrolling by mousewheel (thanks to Artem
	  Borodin).

2007-03-27  Sergei Golovan <sgolovan@nes.ru>

	* mute/mute.tcl: Fixed bug with breaking messages into separate words
	  in message dialogs.

	* tclchat/tclchat.tcl: Fixed restoring disabled state of Tclers' chat
	  window.

2007-03-22  Sergei Golovan <sgolovan@nes.ru>

	* traffic/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-17  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/es.msg, spy/msgs/es.msg: Updated Spanish translation
	  (thanks to Badlop).

2007-03-14  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/pl.msg, spy/msgs/pl.msg: Updated Polish translation
	  (thanks to Irek Chmielowiec).

2007-03-11  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-10  Sergei Golovan <sgolovan@nes.ru>

	* georoster/georoster.tcl: Added -connection argument to jlib::send_iq
	  call.

	* debug/debug.tcl: Made jlib module debug messages more clear.

2007-03-08  Sergei Golovan <sgolovan@nes.ru>

	* tclchat/tclchat.tcl: Load translated messages.

	* tclchat/msgs/ru.msg, mute/msgs/ru.msg: Added Russian translation.

	* debug/msgs/ru.msg, renju/msgs/ru.msg: Updated Russian translation.

2007-03-06  Sergei Golovan <sgolovan@nes.ru>

	* latex/msgs.de.msg, spy/msgs/de.msg, traffic/msgs/de.msg: Updated
	  German translation (thanks to Roger Sondermann).

2007-03-04  Sergei Golovan <sgolovan@nes.ru>

	* aniemoticons/aniemoticons.tcl, aniemoticons/anigif.tcl: Bugfix.
	  Fixed creating and destroying images.

	* debug/debug.tcl, spy/spy.tcl: Use new unified search panel
	  interface.

	* aniemoticons/anigif.tcl: Code cleanup. Fixed bugs with image names,
	  which contain semicolon.

	* Makefile: Added installing of aniemoticons plugin.

	* *: 0.10.0-beta2 is released.

	* spy/msgs/de.msg, traffic/msgs/de.msg: Updated German translation
	  (thanks to Roger Sondermann).

2007-03-03  Sergei Golovan <sgolovan@nes.ru>

	* aniemoticons/*: Added new external plugin (moved from the main
	  Tkabber tree). Also applied patch by Ruslan Rakhmanin, which fixes
	  some animated GIFs processing and improves performance.

	* README: Added short description of aniemoticons plugin.

2007-02-26  Sergei Golovan <sgolovan@nes.ru>

	* renju/pixmaps/black/*: Added high contrast Gomoku/Renju theme.

	* whiteboard/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

2007-02-25  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/de.msg, georoster/msgs/de.msg, spy/msgs/de.msg,
	  traffic/msgs/de.msg: Added German translation (thanks to Roger
	  Sondermann).

	* georoster/msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-02-23  Sergei Golovan <sgolovan@nes.ru>

	* Makefile: Added tclchat and renju plugins.

	* *: 0.10.0-beta is released.

2007-02-17  Sergei Golovan <sgolovan@nes.ru>

	* renju/renju.tcl: Added tournament Gomoku variant (with 5x5 forbidden
	  zone for black at the second turn).

2007-02-16  Sergei Golovan <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, renju/renju.tcl,
	  reversi/reversi.tcl: Fixed bug with sometimes undeleted cell border
	  on mouse leave.

	* renju/renju.tcl: Added standard Gomoku variant (where overline
	  is not a win).

2007-02-15  Sergei Golovan <sgolovan@nes.ru>

	* renju/*: New game plugin Gomoku/Renju (unfinished yet, only
	  free-style Gomoku is implemented).

2007-02-14  Sergei Golovan <sgolovan@nes.ru>

	* tclchat/tclchat.tcl: Added customize group Tclchat.

	* tclchat/tclchat_messages.tcl: Made bridge nick and JID, and Tclers'
	  chat room JID customizable. Added processing of nickname changes on
	  the IRC side.

	* reversi/msgs/pl.msg, debug/msgs/pl.msg, whiteboard/msgs/pl.msg,
	  spy/msgs/pl.msg: Updated Polish translation (thanks to Irek
	  Chmielowiec).

2007-02-13  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/es.msg, spy/msgs/es.msg, whiteboard/msgs/es.msg: Updated
	  Spanish translation (thanks to Badlop).

	* tclchat/tclchat.tcl, tclchat/tclchat_commands.tcl,
	  tclchat/tclchat_messages.tcl: Added modified tclchat plugin by Pat
	  Thoyts for more comfortable use of Tclers' chat (unfinished yet).

	* tclchat/tclchat.tcl: Moved adding color to more suitable hook. 

	* tclchat/tclchat_messages.tcl: Added IRC users, connected to Tclers'
	  chat, to the conference roster.

2007-02-11  Sergei Golovan <sgolovan@nes.ru>

	* iconsets/icq/icondef.xml, iconsets/icq/tkabber/tkabber-logo.gif:
	  Removed logo (it must be only one).

	* iconsets/icq/tkabber/new-msg.gif: Removed unused icon.

	* iconsets/kroc/tkabber/new-msg.gif,
	  iconsets/kroc/tkabber/search_bk.gif,
	  iconsets/kroc/tkabber/search_case.gif,
	  iconsets/kroc/tkabber/search_exact.gif,
	  iconsets/kroc/tkabber/search_fw.gif: Removed unused icons.

	* whiteboard/whiteboard.tcl: Made using jlib::x_delay for computing
	  message time.

	* georoster/georoster.tcl, spy/spy.tcl, traffic/traffic.tcl: Save
	  tabs on exit and restore on start.

	* bc/bc.tcl, quiz/quiz.tcl, osd/osd.tcl, mute/mute.tcl: Made working
	  with current Tkabber version.

	* quiz/quizdata.txt: Added short quiz data sample.

	* COPYING, Makefile: Added license file and Makefile.

2007-02-10  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl, whiteboard/svgrender.tcl: Added
	  balloons, which show when the whiteboard item was created, and
	  who has drawn it. Also redone text input dialog.

	* whiteboard/msgs/ru.msg: Updated.

	* README, checkers/README, debug/debug.tcl, debug/msgs/pl.msg,
	  debug/msgs/ru.msg, socials/README, spy/spy.tcl,
	  tkabber-khim/INSTALL: Made more accurate references to Tkabber
	  config directory.

2007-02-09  Sergei Golovan <sgolovan@nes.ru>

	* iconsets/iconsets.tcl, iconsets/*: Moved borrowed iconsets to
	  a separate plugin.

	* README: Updated.

	* whiteboard/whiteboard.tcl: Removed spacers from whiteboard toolbar
	  to make it fit 800x600 window.

2007-01-29  Sergei Golovan <sgolovan@nes.ru>

	* spy/spy.tcl: Fixed a typo (thanks to Pavel Borzenkov).

2007-01-27  Sergei Golovan <sgolovan@nes.ru>

	* spy/spy.tcl: Added search in spy presence window.

	* debug/debug.tcl: Added search in debug window.

	* quiz/quiz.tcl: Added check for existence of file 3hauka.txt.

2007-01-26  Sergei Golovan <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, debug/debug.tcl,
	  ejabberd/ejabberd.tcl, georoster/georoster.tcl, reversi/reversi.tcl,
	  whiteboard/whiteboard.tcl: Removed explicit tab updates on
	  raise.

	* debug/debug.tcl: Added richtext and mucignore modules to debug
	  modules. Fixed bug with unknown debug module.

2007-01-11  Sergei Golovan <sgolovan@nes.ru>

	* cyrillize/cyrillize.tcl: Added backward conversion from russian
	  to english (bound to <Control-quotedbl>).
	  Also, added bindings for cyrillic layout in Windows.

2007-01-06  Sergei Golovan <sgolovan@nes.ru>

	* debug/debug.tcl, traffic/traffic.tcl: Changed config directory
	  references to $::configdir.

2007-01-05  Sergei Golovan <sgolovan@nes.ru>

	* debug/msgs/pl.msg, tkabber-khim/khim/pl.msg,
	  whiteboard/msgs/pl.msg: Updated (thanks to Irek Chmielowiec).

2007-01-03  Sergei Golovan <sgolovan@nes.ru>

	* debug/debug.tcl: Made plugin options customizeable via GUI.

	* debug/msgs/ru.msg: Updated.

	* debug/msgs/es.msg, debug/msgs/pl.msg, debug/msgs/uk.msg: Added
	  VIM modeline.

	* tkabber-khim/tkabber-khim.tcl, tkabber-khim/khim/pl.msg,
	  tkabber-khim/khim/ru.msg, tkabber-khim/msgs/pl.msg,
	  tkabber-khim/msgs/ru.msg: Added newline to a message, which
	  is printed to the terminal when KHIM cannot be loaded, to fit
	  80 symbol width.

2007-01-01  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/msgs/ru.msg, whiteboard/msgs/ru.msg: Updated.

2006-12-30  Sergei Golovan <sgolovan@nes.ru>

	* checkers/msgs/es.msg, chess/msgs/es.msg, reversi/msgs/es.msg,
	  whiteboard/msgs/es.msg: Updated (thanks to Badlop).

	* traffic/traffic.tcl, traffic/msgs/pl.msg, traffic/msgs/ru.msg,
	  traffic/msgs/uk.msg: Bugfix in translated string (thanks to
	  Badlop).

2006-12-29  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/khim/pl.msg, tkabber-khim/msgs/pl.msg: Added
	  Polish translation (thanks to Irek Chmielowiec).

	* whiteboard/msgs/pl.msg: Updated (thanks to Irek Chmielowiec).

	* tkabber-khim/khim/uk.msg: Added Ukrainian translation (thanks
	  to Artem Bondarenko).

2006-12-28  Sergei Golovan <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Added whiteboard saving option.

2006-12-24  Sergei Golovan <sgolovan@nes.ru>

	* reversi/msgs/uk.msg, debug/msgs/uk.msg, checkers/msgs/uk.msg,
	  ejabberd/msgs/uk.msg, chess/msgs/uk.msg, georoster/msgs/uk.msg,
	  spy/msgs/uk.msg, latex/msgs/uk.msg, traffic/msgs/uk.msg:
	  Added Ukrainian translation (thanks to Artem Bondarenko).

2006-12-17  Sergei Golovan <sgolovan@nes.ru>

	* tkabber-khim/khim/khim.tcl: Bumped khim version number to
	  ensure its loading.

2006-12-15  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber-khim/khim/khim.tcl: Changed Unicode charmap colors.

2006-12-13  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber-khim/*: Added tkabber-khim plugin by Konstantin
	  Khomoutov. It allows to input Unicode characters using KHIM
	  package by Kevin Kenny. KHIM package is included, but it can
	  be also obtained as part of tklib.

2006-12-05  Sergei Golovan  <sgolovan@nes.ru>

	* osd/osd.tcl: Don't notify on history messages read from the
	  log files.

2006-12-03  Sergei Golovan  <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl, whiteboard/whiteboard.tcl,
	  whiteboard/msgs/ru.msg: Added circle and polygon whiteboard
	  figures (thanks to Pavel Arajums).

2006-11-27  Sergei Golovan  <sgolovan@nes.ru>

	* debug/debug.tcl: Added loading translation messages.

	* reversi/msgs/pl.msg, debug/msgs/pl.msg, checkers/msgs/pl.msg
	  whiteboard/msgs/pl.msg, ejabberd/msgs/pl.msg, chess/msgs/pl.msg,
	  georoster/msgs/pl.msg, spy/msgs/pl.msg, traffic/msgs/pl.msg:
	  Added Polish translation (thanks to Irek Chmielowiec).

2006-11-25  Sergei Golovan  <sgolovan@nes.ru>

	* georoster/georoster.tcl: Replaced erroneous user_from_jid by
	  node_and_server_from_jid.

2006-11-24  Sergei Golovan  <sgolovan@nes.ru>

	* whiteboard/whiteboard.tcl: Use mousewheel to scroll whiteboard
	  window.

2006-11-04  Sergei Golovan  <sgolovan@nes.ru>

	* latex/latex.tcl: Updated to match current emoticons engine.
	  Changed LaTeX expression regexp to allow spaces in it.

2006-10-22  Sergei Golovan  <sgolovan@nes.ru>

	* whiteboard/svgrender.tcl: Check color existence before rendering
	  whiteboard item using this color.

2006-10-08  Sergei Golovan  <sgolovan@nes.ru>

	* checkers/msgs/ru.msg, chess/msgs/ru.msg, reversi/msgs/ru.msg:
	  Updated (thanks to Pavel Borzenkov).

	* README: Added new plugins description. Replaced JEP abbreviation
	  by XEP.

2006-10-05  Sergei Golovan  <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, ejabberd/ejabberd.tcl,
	  georoster/georoster.tcl, latex/latex.tcl, reversi/reversi.tcl,
	  traffic/traffic.tcl, whiteboard/whiteboard.tcl: Removed
	  changing of system encoding when loading translated messages
	  because msgcat itself uses UTF-8.

	* osd/osd.tcl: Removed encoding configuring of osdcat pipe
	  because it is a system encoding by default.

	* whiteboard/msgs/uk.msg: Added Ukrainian translation (thanks
	  to Mykola Dzham).

2006-10-02  Sergei Golovan  <sgolovan@nes.ru>

	* reversi/reversi.tcl: Fixed typo (thanks to Irek Chmielowiec).

2006-09-30  Sergei Golovan  <sgolovan@nes.ru>

	* georoster/georoster.tcl: Use options menu with nonfixed
	  border width.

2006-09-29  Sergei Golovan  <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, georoster/georoster.tcl,
	  reversi/reversi.tcl: Replaced customizeable radio variables by
	  options variables.

2006-09-27  Sergei Golovan  <sgolovan@nes.ru>

	* checkers/checkers.tcl, chess/chess.tcl, reversi/reversi.tcl:
	  Added sound notification of opponent's move (thanks to
	  Pavel Borzenkov).

2006-09-25  Sergei Golovan  <sgolovan@nes.ru>

	* debug/debug.tcl: Added several debug categories.

	* latex/msgs/es.msg, traffic/msgs/es.msg: Added Spanish
	  translation (thanks to Badlop).

	* whiteboard/msgs/es.msg: Updated (thanks to Badlop).

2006-09-19  Sergei Golovan  <sgolovan@nes.ru>

	* traffic/traffic.tcl: Code cleanup.

	* checkers/checkers.tcl, chess/chess.tcl, mute/mute.tcl,
	  reversi/reversi.tcl: Added lang parameter to procedures
	  registered via iq:register.

2006-09-16  Sergei Golovan  <sgolovan@nes.ru>

	* chess/chess.tcl, checkers/checkers.tcl, reversi/reversi.tcl:
	  Made games using hook::run with upvar instead of hook::foldl
	  (it looks more "ticklish"). Improved packing of game history
	  windows.

	* traffic/*: Added new traffic accounting plugin. It counts
	  total length of unencrypted and/or uncompressed XML stanzas
	  only (thanks to Artem Borodin).

